### Method

# SpiceClientGLib Channel open_fd

#### Declaration [src]

    gboolean
    spice_channel_open_fd (
      SpiceChannel* channel,
      int fd
    )

#### Description [src]

Connect the channel using `fd` socket.

If `fd` is -1, a valid fd will be requested later via the SpiceChannel::open-fd signal.

#### Parameters

`fd`

  Type: `int`

  A file descriptor (socket) or -1. request mechanism.

#### Return value

Type: `gboolean`

`TRUE` on success.